=== debian/changelog ===
qca2 (2.1.3-2ubuntu2) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 06 Feb 2018 17:55:11 +0000

qca2 (2.1.3-2ubuntu1) bionic; urgency=medium

  * Sync from Debian Sid. Remaining changes:
    - Conflicts/Replaces libqca2v5 because of the GCC transition.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 27 Jan 2018 21:51:22 -0600

qca2 (2.1.3-2) unstable; urgency=medium

  * Switch to OpenSSL 1.1. (Closes: #850897)
    Backport upstream patches:
    - Disable_missed_openssl_cipher_suites.diff
    - Add_support_for_OpenSSL_1.1.0.diff
  * Remove transitional packages. (Closes: #874758)
  * Migrate to -dbgsym packages.
  * Update symbols files.
  * Fix acc autopkgtest by allowing stderr output.
  * Switch to debhelper compat level 11.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 21 Jan 2018 09:41:22 +0100

qca2 (2.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Remove patches that have been applied upstream:
    - fix_build_without_sslv3.diff
    - fix_base64_decoding_on_ARM.diff

 -- Felix Geyer <fgeyer@debian.org>  Sun, 18 Jun 2017 09:30:07 +0200

qca2 (2.1.1-4) unstable; urgency=medium

  * Fix FTBFS on architectures where char is unsigned.
    - Add fix_base64_decoding_on_ARM.diff

 -- Felix Geyer <fgeyer@debian.org>  Tue, 15 Nov 2016 21:07:14 +0100

qca2 (2.1.1-3) unstable; urgency=medium

  * Keep using openssl 1.0 since upstream doesn't support 1.1 and adapting
    the codebase seems non-trivial. (bug #828519)
  * Update symbols files.

 -- Felix Geyer <fgeyer@debian.org>  Tue, 15 Nov 2016 19:03:12 +0100
