=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

# Enable strict interdependencies
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

CFLAGS += -fvisibility=hidden -fvisibility-inlines-hidden
CXXFLAGS += -fvisibility=hidden -fvisibility-inlines-hidden

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

QT5_BUILD_DIR = "build-qt5"
QT5_PACKAGES = $(shell grep Package: debian/control | grep qt5 | sed -e 's/Package: //g')
QT5_DH_EXCLUDE := $(foreach package, $(QT5_PACKAGES), -N $(package))
QT5_DH_INCLUDE := $(foreach package, $(QT5_PACKAGES), -p $(package))

override_dh_auto_clean:
	$(overridden_command)
	$(overridden_command) --builddirectory=$(QT5_BUILD_DIR)

override_dh_auto_configure:
	QT_SELECT=qt4 $(overridden_command) -- \
	    -DQT4_BUILD=ON -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" \
	    -DQCA_FEATURE_INSTALL_DIR="/usr/share/qt4/mkspecs/features"
	QT_SELECT=qt5 $(overridden_command) \
	    --builddirectory=$(QT5_BUILD_DIR) -- \
	    -DQT5_BUILD=ON -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" \
	    -DQCA_FEATURE_INSTALL_DIR="/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/mkspecs/features"

override_dh_auto_build:
	$(overridden_command)
	$(overridden_command) --builddirectory=$(QT5_BUILD_DIR)
	$(overridden_command) --builddirectory=$(QT5_BUILD_DIR) -- doc

override_dh_auto_test:
	$(overridden_command)
	$(overridden_command) --builddirectory=$(QT5_BUILD_DIR)

override_dh_auto_install:
	$(overridden_command)
	$(overridden_command) --builddirectory=$(QT5_BUILD_DIR)

override_dh_strip:
	$(overridden_command) $(QT5_DH_INCLUDE) --dbgsym-migration='libqca-qt5-2-dbg (<< 2.1.3-2~)'
	$(overridden_command) --remaining-packages --dbgsym-migration='libqca2-dbg (<< 2.1.3-2~)'
