=== src/CMakeLists.txt ===
--- 
+++ 
@@ -148,9 +148,15 @@
 endif(WIN32)
 
 if(APPLE)
-   set(COREFOUNDATION_LIBRARY "-framework CoreFoundation")
-   set(COREFOUNDATION_LIBRARY_SECURITY "-framework Security")
-   TARGET_LINK_LIBRARIES(${QCA_LIB_NAME} ${COREFOUNDATION_LIBRARY} ${COREFOUNDATION_LIBRARY_SECURITY})
+  set(COREFOUNDATION_LIBRARY "-framework CoreFoundation")
+  set(COREFOUNDATION_LIBRARY_SECURITY "-framework Security")
+  TARGET_LINK_LIBRARIES(${QCA_LIB_NAME} ${COREFOUNDATION_LIBRARY} ${COREFOUNDATION_LIBRARY_SECURITY})
+
+  if(OSX_FRAMEWORK AND NOT USE_RELATIVE_PATHS)
+    set_target_properties(${QCA_LIB_NAME} PROPERTIES
+                          INSTALL_NAME_DIR "${QCA_LIBRARY_INSTALL_DIR}"
+    )
+  endif()
 endif(APPLE)
 
 if(NOT ANDROID)
