=== debian/changelog ===
qca2 (2.2.1-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:09:36 +0100

qca2 (2.2.1-2) unstable; urgency=medium

  * Stop building packages for Qt 4. (Closes: #875133)
  * Switch to debhelper compat level 12.

 -- Felix Geyer <fgeyer@debian.org>  Mon, 26 Aug 2019 19:22:56 +0200

qca2 (2.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches that have been fixed upstream:
    - Add_support_for_OpenSSL_1.1.0.diff
    - Disable_missed_openssl_cipher_suites.diff
  * Update symbols files.
  * Adapt watch file to new URL.
  * Point Vcs contorl fields to salsa.d.o
  * Switch to new upstream URL.
  * Update copyright file.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 14 Jul 2019 23:56:19 +0200
