=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

# Enable strict interdependencies
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

CFLAGS += -fvisibility=hidden -fvisibility-inlines-hidden
CXXFLAGS += -fvisibility=hidden -fvisibility-inlines-hidden

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

override_dh_auto_clean:
	$(overridden_command) --builddirectory=build

override_dh_auto_configure:
	QT_SELECT=qt5 $(overridden_command)  --builddirectory=build -- \
	    -DQT5_BUILD=ON -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" \
	    -DQCA_FEATURE_INSTALL_DIR="/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/mkspecs/features"

override_dh_auto_build:
	$(overridden_command) --builddirectory=build
	$(overridden_command) --builddirectory=build -- doc

override_dh_auto_install:
	$(overridden_command) --builddirectory=build

override_dh_auto_test:
	$(overridden_command) --builddirectory=build

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libqca-qt5-2-dbg (<< 2.1.3-2~)'
