=== debian/tests/control ===
# Tests: testsuite
# Depends: @, @builddeps@, build-essential
# Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

Tests: ciphertest-qt5
Depends: build-essential, cmake, libqca-qt5-2-dev, libqca-qt5-2-plugins
