=== debian/watch ===
version=4
https://download.kde.org/stable/qca/([\d.]+)/qca-([\d.]+)\.tar\.xz
